
Foreman - Bug #15228

/config_reports fails when a config_reports filter search is limited.

05/30/2016 10:52 AM - Steve Traylen

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Users, Roles and Permissions   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.11.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

With a config_report permission of for instance 'hostgroup_title ~ bi/% or hostgroup_title = bi'

the following URL fails.

/config_reports

Mysql2::Error: Unknown column 'hosts_reports.id' in 'field list': SELECT `reports`.`id` AS t0_r0, 

`reports`.

 Giving the user admin permissions or unlimited permissions is enough to avoid the situation and the page renders.

Steve.

Related issues:

Is duplicate of Foreman - Bug #10819: PGError: ERROR: missing FROM-clause ent... New 06/15/2015

History

#1 - 06/27/2016 07:09 AM - Shlomi Zadok

Does it get solved when giving a user "view_hosts" permission ?

#2 - 07/21/2016 10:29 AM - Dominic Cleal

- Is duplicate of Bug #10819: PGError: ERROR: missing FROM-clause entry for table "hosts_reports" LINE 1 added

#3 - 07/21/2016 10:29 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report, I think this is the same bug as #10819 so we'll use that ticket to track the issue.
